
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>再学GDI+[49] / iVAN</title>

    <meta name="description" content="再学GDI+[49] 路径 - GetPointCount.GetPathPoints.GetLastPoint.GetBounds 本例效果图: 代码文件:unit Unit1; interface uses Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms, Dialogs, StdCtrls; type TForm1 = class(TForm) CheckBox1: TCheckBox; CheckBox2: T">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">再学GDI+[49]</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>路径 - GetPointCount、GetPathPoints、GetLastPoint、GetBounds</p>
<p>本例效果图:</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMTAzMDIyMU4wLTAuZ2lm.jpg"></p>
<p>代码文件:<code>unit Unit1;<br />
interface<br />
uses<br />
　Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,<br />
　Dialogs, StdCtrls;<br />
type<br />
　TForm1 = class(TForm)<br />
　　CheckBox1: TCheckBox;<br />
　　CheckBox2: TCheckBox;<br />
　　CheckBox3: TCheckBox;<br />
　　procedure FormCreate(Sender: TObject);<br />
　　procedure FormPaint(Sender: TObject);<br />
　　procedure CheckBox1Click(Sender: TObject);<br />
　　procedure CheckBox2Click(Sender: TObject);<br />
　　procedure CheckBox3Click(Sender: TObject);<br />
　end;<br />
var<br />
　Form1: TForm1;<br />
implementation<br />
{$R *.dfm}<br />
uses GDIPOBJ, GDIPAPI;<br />
procedure TForm1.FormCreate(Sender: TObject);<br />
begin<br />
　CheckBox1.Caption := '提取路径中所有的点';<br />
　CheckBox2.Caption := '提取路径中最后一个点';<br />
　CheckBox3.Caption := '显示路径的外接矩形';<br />
end;<br />
procedure TForm1.FormPaint(Sender: TObject);<br />
var<br />
　g: TGPGraphics;<br />
　path: TGPGraphicsPath;<br />
　p: TGPPen;<br />
　b: TGPBrush;<br />
　pts: array[0..6] of TGPPoint;<br />
　ptf: TGPPointF;<br />
　ppts: array of TGPPoint;<br />
　rect: TGPRect;<br />
　i: Integer;<br />
begin<br />
　{给 Bezier 线准备的点, 用于建立路径}<br />
　pts[0].X := 22;　pts[0].Y := 44;<br />
　pts[1].X := 11;　pts[1].Y := 111;<br />
　pts[2].X := 33;　pts[2].Y := 222;<br />
　pts[3].X := 60;　pts[3].Y := 88;<br />
　pts[4].X := 80;　pts[4].Y := 222;<br />
　pts[5].X := 170; pts[5].Y := 111;<br />
　pts[6].X := 200; pts[6].Y := 11;<br />
　g := TGPGraphics.Create(Canvas.Handle);<br />
　{建立路径, 并给路径添加两条 Bezier 线}<br />
　path := TGPGraphicsPath.Create;<br />
　path.AddBeziers(PGPPoint(@pts), Length(pts));<br />
　{绘制路径}<br />
　p := TGPPen.Create(aclRed);<br />
　g.DrawPath(p, path);<br />
　{虚画原始数据点}<br />
　p.SetColor(aclGray);<br />
　for i := 0 to Length(pts)-1 do<br />
　　g.DrawRectangle(p, MakeRect(pts[i].X-2, pts[i].Y-2, 4, 4));<br />
　{提取路径中所有的点}<br />
　b := TGPSolidBrush.Create(aclBlue);<br />
　if CheckBox1.Checked then<br />
　begin<br />
　　SetLength(ppts, path.GetPointCount);<br />
　　path.GetPathPoints(PGPPoint(ppts), Length(pts));<br />
　　for i := 0 to Length(ppts)-1 do<br />
　　　g.FillRectangle(b, MakeRect(ppts[i].X-3, ppts[i].Y-3, 6, 6));<br />
　end;<br />
　{可以专门获取最后一个点}<br />
　TGPSolidBrush(b).SetColor(aclRed);<br />
　if CheckBox2.Checked then<br />
　begin<br />
　　path.GetLastPoint(ptf);<br />
　　g.FillRectangle(b, MakeRect(ptf.X-3, ptf.Y-3, 6, 6));<br />
　end;<br />
　{路径的外接矩形}<br />
　if CheckBox3.Checked then<br />
　begin<br />
　　path.GetBounds(rect);<br />
　　g.DrawRectangle(p, rect);<br />
　end;<br />
　b.Free;<br />
　p.Free;<br />
　path.Free;<br />
　g.Free;<br />
end;<br />
procedure TForm1.CheckBox1Click(Sender: TObject);<br />
begin<br />
　Repaint;<br />
end;<br />
procedure TForm1.CheckBox2Click(Sender: TObject);<br />
begin<br />
　Repaint;<br />
end;<br />
procedure TForm1.CheckBox3Click(Sender: TObject);<br />
begin<br />
　Repaint;<br />
end;<br />
end.</code></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-27 17:57:36</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e8%b7%af%e5%be%84/" title="路径">路径</a>, <a href="https://www.iamivan.net/tag/path/" title="path">path</a>, <a href="https://www.iamivan.net/tag/end/" title="end">end</a>, <a href="https://www.iamivan.net/tag/sender/" title="sender">sender</a>, <a href="https://www.iamivan.net/tag/procedure/" title="procedure">procedure</a>, <a href="https://www.iamivan.net/tag/checkbox/" title="checkbox">checkbox</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>再学GDI+[49]的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/2MWgYeM.html" rel="bookmark">再学GDI&plus;&lbrack;99&rsqb;&colon; TGPImage&lpar;19&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本例效果图: 代码文件:unit Unit1; interface uses Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms, Dialogs, StdCtrls, ExtCtrls; type TForm1 = class(TForm) OpenDialog1: TOpenDialog; Button1: TButton; Button2: TButton; procedure FormCrea			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Vzw6eOp.html" rel="bookmark">再学GDI&plus;&lbrack;97&rsqb;&colon; TGPImage&lpar;17&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				获取GDI+所支持的可编码.可解码的图像格式 其实这和 TGPImage 是没有关系的. 本例效果图: 代码文件:unit Unit1; interface uses Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms, Dialogs, StdCtrls; type TForm1 = class(TForm) Memo1: TMemo; procedure FormCreate(Sender: TO			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9bBvrAb.html" rel="bookmark">再学GDI&plus;&lbrack;95&rsqb;&colon; TGPImage&lpar;15&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我通过做此例同时证实了 GDI+ 可以直接显示 png.gif.tif 格式的透明图片. //红色与绿色绕蓝色旋转(r 是弧度) ColorMatrix: TColorMatrix = ( (Cos(r), Sin(r), 0.0, 0.0, 0.0), (-Sin(r), Cos(r), 0.0, 0.0, 0.0), (0.0, 0.0, 1.0, 0.0, 0.0), (0.0, 0.0, 0.0, 1.0, 0.0), (0.0, 0.0, 0.0, 0.0, 1.0)); //绿色与蓝			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qMqQnKM.html" rel="bookmark">再学GDI&plus;&lbrack;81&rsqb;&colon; TGPImage&lpar;1&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				已知 GDI+ 可以支持的图像格式: BMP.JPEG.GIF.TIFF.PNG.ICO.WMF.EMF TGPGraphics.DrawImage 函数有太多重载了, 一起列在这吧:function DrawImage(image: TGPImage; const point: TGPPointF): TStatus; overload; function DrawImage(image: TGPImage; x, y: Single): TStatus; overload; function			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/XMl5PRp.html" rel="bookmark">再学GDI&plus;&lbrack;76&rsqb;&colon; 区域&lpar;5&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本来这个例子是要获取区域的详细信息的, 但非常遗憾, 这个版本的 GDI+ 的头文件少定义了一个 TRegionData 类! 不过也不要紧, 通过 TRegionData 主要也是获取区域中的矩形数据, GetRegionScans 函数可以完成这个任务! 本例效果图: 代码文件:unit Unit1; interface uses Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms, Dialog			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OMyNadp.html" rel="bookmark">再学GDI&plus;&lbrack;73&rsqb;&colon; 区域&lpar;2&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Intersect {交集} Union {联合} Xor_ {减去交集} Exclude {减去} Complement {不相交} //GDI+ 的区域能和矩形.路径.另一个区域三种对象进行运算. 本例效果图: 代码文件:unit Unit1; interface uses Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms, Dialogs, StdCtrls, ExtCtrls; type T			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/0borodz.html" rel="bookmark">再学GDI&plus;&lbrack;72&rsqb;&colon; 区域&lpar;1&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				建立 GDI+ 的区域有五种办法: 1.根据一个矩形建立(矩形区域); 2.根据路径建立; 3.根据 GDI 区域的句柄建立; 4.根据从区域中获取的数据建立; 5.无参数建立. 本例演示了前三种建立方法. 本例效果图: 代码文件:unit Unit1; interface uses Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms, Dialogs, StdCtrls, ExtCtrls; typ			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qMqQEOM.html" rel="bookmark">再学GDI&plus;&lbrack;69&rsqb;&colon; 路径画刷&lpar;9&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				SetInterpolationColors 与 SetSurroundColors 的区别 本例效果图: 代码文件:unit Unit1; interface uses Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms, Dialogs, ComCtrls, StdCtrls, ExtCtrls; type TForm1 = class(TForm) procedure FormPaint(Sen			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/xpnly0b.html" rel="bookmark">再学GDI&plus;&lbrack;65&rsqb;&colon; 路径画刷&lpar;5&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本例效果图: 代码文件:unit Unit1; interface uses Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms, Dialogs; type TForm1 = class(TForm) procedure FormPaint(Sender: TObject); end; var Form1: TForm1; implementation {$R *.dfm} uses GDIPOBJ			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJ72Vb.html" rel="bookmark" class="title">java-socket通信 客户端报错</a>
					<div>
						问题描述 socket通信 客户端报错 java.net.SocketException: Connection reset服务端 public static void main(String[] a ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4d8Nz.html" rel="bookmark" class="title">用计算机编程语言来比喻女人的精典释义&period;</a>
					<div>
						有的女人就像Windows 虽然很优秀,但是安全隐患太大 有的女人就像UNIX  她条件很好,然而不是谁都能玩的起 有的女人就像C# 长的很漂亮,但是家务活不行. 有的女人就像C++,她会默默的为你做 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK7kj7b.html" rel="bookmark" class="title">MySQL用户创建和授权</a>
					<div>
						环境 MySQL 5.1 + 命令行工具 问题 MySQL用户创建和授权 解决 1.以 root用户登录创建新用户 C:\Users\Wentasy&gt;mysql -uroot -p mysql& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW10dez.html" rel="bookmark" class="title">Oracle中如何配置双监听器</a>
					<div>
						以Oracle Net看,数据库服务器可能也是客户端 因为tnsnames.ora可以有服务器的描述 也就是,只有监听器才会一直是服务器 实例:监听=n:m ㈠ 双监听器的好处: ① 客户端故障转移- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY2Ojxp.html" rel="bookmark" class="title">Excel中图标的制作与建立动画教程</a>
					<div>
						&lt;Excel2003入门动画教程63.Excel中图标的制作与建立&gt;. 演示动画 操作步骤 Excel除了具有强大的数据统计和处理功能外,还有着强大的图表制作功能. 选中需要制作成图表的数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwLlgvb.html" rel="bookmark" class="title">如何打印网页中选中的内容</a>
					<div>
						  拖动鼠标,选中想要打印出来的网页内容,单击&quot;文件-打印&quot;.(若没有找到可以在键盘上按一下&quot;Alt&quot;键,如果熟悉快捷键,也可以直接用&quot;Ctrl+P& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8NQAp.html" rel="bookmark" class="title">Photoshop保留质感给人像进行磨皮</a>
					<div>
						原图: 效果图: 操作步骤: 1.打开图像并放大后,可以发现人物具有很好的皮肤纹理. 2.拷贝图层. 3.执行高斯模糊滤镜命令(这里实际上不会模糊皮肤,我们只是使用这个对话框替我们做计算,这在另一个对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQNWlOM.html" rel="bookmark" class="title">Win8如何启用分配访问？</a>
					<div>
						  分配访问是一种设置,它使你可以限制特定标准帐户仅使用一个 Windows 应用商店应用. 例如,你可以限制公司的客户仅使用一个应用,以便将你的电脑用作信息亭. 每当客户使用特定帐户登录时,他们仅能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvG5l5p.html" rel="bookmark" class="title">给照片做整形手术 数码鼻子处理</a>
					<div>
						  这种非常简单的技术可以把人物的鼻子缩小15%~20%,实际缩小鼻子很容易,它只需要一.两分钟时间,而清除原来鼻子的边缘则可能要花点儿时间,但由于新鼻子位于其自己的图层上,所以清除工作很简单.其具体 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGvE9p.html" rel="bookmark" class="title">PS利用极坐标命令制作360度圆形全景效果</a>
					<div>
						  我们观察下面的这幅图片,这是一个360%的圆形照片,那么这个是怎么做成的呢? 看似很复杂,其实很简单,主要是利用PS软件的极坐标命令,极坐标命令常用于制作一些放射性文字,爆炸效果等. 现在我来给大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKkGE5b.html" rel="bookmark" class="title">android-想问个问题，安卓开发，如果几个工程已经完成了，通过什么方法把他们组合到一起呢？</a>
					<div>
						问题描述 想问个问题,安卓开发,如果几个工程已经完成了,通过什么方法把他们组合到一起呢? 正在做Android,注册登陆以及其它功能分到了三个工程里面完成的,有没有一种简单粗暴的方式让他们直接到一块呢 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrP3wM.html" rel="bookmark" class="title">如何使Chrome控制台支持多行js模式&mdash;&mdash;意外发现&lowbar;javascript技巧</a>
					<div>
						一直以来,Chrome控制台都缺少象IE调试台那样的多行执行模式.  今天意外发现Chrome其实也支持多行模式.默认在Chrome控制台上输入回车后会执行该命令,只需要通过输入Shift+Enter ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1l6K5b.html" rel="bookmark" class="title">link环境下制作一款《订餐软件》，请问点餐预览界面显示缩略图怎么做？</a>
					<div>
						问题描述 link环境下制作一款&lt;订餐软件&gt;,请问点餐预览界面显示缩略图怎么做? link环境下制作一款&lt;订餐软件&gt;,请问点餐预览界面显示缩略图怎么做?注意不是生成缩略图,没用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My38yEz.html" rel="bookmark" class="title">程序员学好英语的方法（转）</a>
					<div>
						英语对每个人来说都很重要,对于程序员来说尤其的重要,因为一些框架都是外国大佬写的,我们要时时的阅读 API,而这些 API 大多数都是英文了,所以我们程序员对英语的要求还是蛮高的.下面我整理的一些学习 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRq6Nqb.html" rel="bookmark" class="title">【PC大变身】Android&plus;Win8&period;1双系统</a>
					<div>
						本季逆天给大家带来的是PC变Android,我们来具体分析下~  android-x86-4.4-r1.iso  http://pan.baidu.com/s/1dDviYEd          笔记 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7YjVaM.html" rel="bookmark" class="title">shiro 不执行授权方法 doGetAuthorizationInfo&lpar;&rpar;</a>
					<div>
						问题描述 shiro 不执行授权方法 doGetAuthorizationInfo() ShiroDbRealm.java 代码如下 public class ShiroDbRealm extends ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL7G3aM.html" rel="bookmark" class="title">初学ASP&period;NET 求救如何使用creatuserwizard的maildefinition属性&quest;</a>
					<div>
						问题描述 使用creatuserwizard控件时,如何配置maildefinition属性,搞了一晚上,还是没做出来,我单击&quot;创建用户&quot;按钮时,总是出现错误,&quot;由于目标 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKKWjz.html" rel="bookmark" class="title">javascript-Jquery语句换成JS写这段</a>
					<div>
						问题描述 Jquery语句换成JS写这段 求大神帮忙 第二句是别人打给我参考的 解决方案 看下代码,真挺麻烦 &lt;!doctype html&gt; &lt;html&gt; &lt;head&g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1rN9ap.html" rel="bookmark" class="title">不同结构的表数据新增-SQL 不同表结构的两张表A和B，往表中新增表B的数据，判断条件如果表A中不存在B中的记录</a>
					<div>
						问题描述 SQL 不同表结构的两张表A和B,往表中新增表B的数据,判断条件如果表A中不存在B中的记录 insert into A(no,name,status)values ( select no,n ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3rVmgz.html" rel="bookmark" class="title">ubuntu-求助求助，Ubuntu 15&period;04使用L2TP连接VPN</a>
					<div>
						问题描述 求助求助,Ubuntu 15.04使用L2TP连接VPN 网上很多的教程都是针对就版本的,现在貌似都不能用了. 有没有同用15.04的, 没有VPN不能活啊... 求救....					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL7olkM.html" rel="bookmark" class="title">高可用笔记（6）keepalived&plus;nginx</a>
					<div>
						前面讲到了部署多个tomcat和多个rabbitmq用nginx做代理服务器,这种情况,tomcat和rabbitmq既实现了高可用又实现了负载均衡.但是,nginx确成了单点.在一个HA环境中,任何 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba7DKXp.html" rel="bookmark" class="title">c&plus;&plus;-VISUA C&plus;&plus;记事本列出打开过的文件</a>
					<div>
						问题描述 VISUA C++记事本列出打开过的文件 VISUA C++记事本列出打开过的文件,关键是怎么记录和添加菜单,不使用资源能实现么? 解决方案 http://blog.sina.com.cn/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7YeZz.html" rel="bookmark" class="title">关于官方文档的project template engine开发示例的疑问</a>
					<div>
						问题描述 在官方HELP文档的cdtplug-indeveloperguide中,有项projecttemplateengine开发向导里面提到,首先编写template.xml,然后再加上几个sou ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b22Xnkb.html" rel="bookmark" class="title">腾讯不会涉足硬件，不会推出智能手机，只提供智能手机服务</a>
					<div>
						360公司总裁齐向东今日透露,腾讯收购了两家手机设计公司,但未透露具体细节. 此前,腾讯CEO马化腾曾公开表示,腾讯不会涉足硬件,不会推出智能手机,只提供智能手机服务. 当前,互联网公司涉足手机领域的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeov18M.html" rel="bookmark" class="title">现在我想把这2个表的关系表memberId&comma;taskId&comma;taskContext合并到会员表和任务表中，当我把这个&OpenCurlyDoubleQuote;发表任务表&OpenCurlyDoubleQuote;的关系表中的字段放进会员表时，这样合并字段对吗？</a>
					<div>
						问题描述 我有会员表和任务表,这二表之间的关系表为发表任务表(memberId,taskId,taskContext)现在我想把这2个表的关系表memberId,taskId,taskContext合 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeovkNM.html" rel="bookmark" class="title">eclipse启动问题！！！</a>
					<div>
						问题描述 eclipse启动问题!!! 解决方案 关于Eclipse启动不了的问题?????? 本人一直用两条256的内存条,昨天公司给了我一个512的内存条,希望能提高一下开发速度,很欣然的换下以前 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQ5RKp.html" rel="bookmark" class="title">网页弹出提示窗口问题</a>
					<div>
						问题描述 各位大神,小弟问题如下,还望请教.当存储到数据库中的时间数据和我所需要的时间吻合时,触发弹出提示窗口.ScriptManager.RegisterStartupScript(this.Upd ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEK31Ap.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;阿里云最强大会&rdquo;都发布了什么？</a>
					<div>
						7月22日,被誉为阿里云年度最强大会的&quot;阿里云分享日X云栖大会&quot;在北京召开.的确,自阿里云成立以来,每年都会在杭州总部召开&quot;阿里云开发者大会&quot;,但是,从未召开过 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEPN6z.html" rel="bookmark" class="title">Android实现读取相机（相册）图片并进行剪裁&lowbar;Android</a>
					<div>
						我们先说一下思路,在android系统中就自带了图片剪切的应用,所以,我们只需要将我们获取到的相片传给图片剪切应用,再将剪切好的相片返回到我们自己的界面显示就ok了 在开发一些APP的过程中,我们可能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYN6qVp.html" rel="bookmark" class="title">一个带图片的考题，怎么写到WORD里面，谢谢</a>
					<div>
						问题描述 最近搞出题系统,遇到上面问题,咋搞呢,没思路啊 解决方案 解决方案二:读取到word里面去呀或者直接复制了呵呵解决方案三:不行吧,是保存在本地的文件解决方案四::用C#实现动态生成Word文 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.023 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
